### Constructor

# Gio BufferedOutputStream new_sized

#### Declaration

    GOutputStream*
    g_buffered_output_stream_new_sized (
      GOutputStream* base_stream,
      gsize size
    )

#### Description

Creates a new buffered output stream with a given buffer size.

#### Parameters

`base_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`size`

  Type: `gsize`

  A #gsize.

#### Return value

Type: `GOutputStream`

A `GOutputStream` with an internal buffer set to `size`.

The caller of the function takes ownership of the data, and is responsible for freeing it.